Bug Hunting Session
Bug 113707 - FILEOPEN: EMF+ Add support for EmfPlusRecordTypeResetClip record
Summary: FILEOPEN: EMF+ Add support for EmfPlusRecordTypeResetClip record
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-11-07 21:32 UTC by Bartosz
Modified: 2017-11-14 07:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (188.18 KB, image/x-emf)
2017-11-07 21:33 UTC, Bartosz
Details
Reference image taken from MS Office (969.85 KB, image/png)
2017-11-07 21:34 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-11-07 21:32:44 UTC
Description:
EmfPlusRecordTypeResetClip is very important as it is resets the current clipping region for the world space to infinity.
Without that implemented, some elements will not be displayed

Steps to Reproduce:
1. Drag test_libuemf_p.emf file into Writer document
2.
3.

Actual Results:  
The lines and text are not displayed at nearby of the star

Expected Results:
The lines and text are displayed at nearby of the star


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.75 Chrome/62.0.3202.75 Safari/537.36
Comment 1 Bartosz 2017-11-07 21:33:23 UTC
Created attachment 137609 [details]
Sample file
Comment 2 Bartosz 2017-11-07 21:34:12 UTC
Created attachment 137610 [details]
Reference image taken from MS Office
Comment 3 Commit Notification 2017-11-09 12:26:38 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4418372084001ae6ae8153bf79a551a5bd5b40d4

tdf#113707 EMF+ Add support for ResetClip record

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.